Bug 1435721 - [3.3] Observed a panic: "Invalid state transition: DELETED -> ADDED" (Invalid state transition: DELETED -> ADDED) in router logs
Summary: [3.3] Observed a panic: "Invalid state transition: DELETED -> ADDED" (Invalid...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.3.1
Assignee: Jacob Tanenbaum
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On: 1419771
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-24 15:22 UTC by Jacob Tanenbaum
Modified: 2020-12-14 08:24 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: quickly and repeatedly adding and deleting a route with same name in a namespace Consequence: the router pod panics "invalid state transition: Deleted -> ADDED" Fix: adding the objects UID to the event queue key generation function Result: No panic from quickly adding and deleting routes
Clone Of: 1419771
Environment:
Last Closed: 2017-05-18 09:27:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ose pull 662 0 None None None 2017-03-24 15:22:11 UTC
Red Hat Product Errata RHBA-2017:1235 0 normal SHIPPED_LIVE OpenShift Container Platform 3.5, 3.4, 3.3, and 3.1 bug fix update 2017-05-18 13:15:52 UTC

Comment 1 Ben Bennett 2017-03-24 15:29:42 UTC
Closing this for now.  None of the customers who have encountered it are on 3.3, so there's no need yet for a 3.3 backport.

Comment 9 Troy Dawson 2017-04-20 15:54:42 UTC
This has been merged into ocp and is in OCP v3.3.1.20 or newer.

Comment 12 Ben Bennett 2017-04-24 15:06:18 UTC
Sorry, this was incorrectly changed to MODIFIED while the merge was in progress.  The merge flaked on some testing and never completed.  I've restarted the merge.

Comment 13 Troy Dawson 2017-04-24 15:12:15 UTC
Removing from errata since it's not in OCP v3.3.1.20

Comment 21 Ben Bennett 2017-05-10 19:25:26 UTC
It has really merged this time!

Comment 23 Jacob Tanenbaum 2017-05-11 19:43:21 UTC
The openshift version running inside the router pod is the wrong version...

If you look inside the router container of the ose-haproxy-router:v3.3.1.23 (hash:026e8608ddd0) it is running openshift v3.3.1.20 which is before the fix was added.

Comment 26 Troy Dawson 2017-05-11 22:30:17 UTC
We apologize for the issues with the v3.3.1.23 images.  Those have been fixed in v3.3.1.25-1.

Please test using v3.3.1.25-1 or newer images.

Comment 27 Hongan Li 2017-05-12 06:30:55 UTC
verified in atomic-openshift-3.3.1.25-1.git.0.708db09.el7.x86_64 and the issue has been fixed, no panic error found in logs.

Comment 29 errata-xmlrpc 2017-05-18 09:27:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:1235


Note You need to log in before you can comment on or make changes to this bug.